#ifndef UART_H_
#define UART_H_
#include <avr/io.h>
#include <avr/interrupt.h>
#define BAUD 				9600UL
#define UBR_VAL 			((F_CPU + BAUD * 8) / (BAUD * 16) - 1)



void init_uart();
void uart_puts (char *s);
int uart_putc(unsigned char c);

#endif /* UART_H_ */
